Publicité
+ Répondre à la discussion
Affichage des résultats 1 à 3 sur 3
  1. #1
    Membre à l'essai
    Inscrit en
    février 2006
    Messages
    301
    Détails du profil
    Informations forums :
    Inscription : février 2006
    Messages : 301
    Points : 21
    Points
    21

    Par défaut Problème de compilation de kdepim

    Bonjour

    Je veux utiliser kdepim dans mon projet. Dans le but de préserver l'indépendance de la plateforme, j'ai chercher directement kdepim sur google et je suis tombé sur cette page,

    http://sourceforge.net/projects/kdepimpi/

    J'ai téléchargé le fichier et il semble s'agir du projet qt qui correspond à mes besoins. Problème : lorsque je le compile sur qt 4.8.4 sur mac (sur windows ça devrait être pareil) j'ai plusieurs erreurs. (ci-joint détail).

    Je ne sais pas quelle est la cause de ces erreurs mais j'ai pensé à un problème de version notamment de microkde.

    Pourriez-vous examiner le fichier ci-joint et me dire ce que vous en pensez ?
    c'est l'output de la commande made.

    J'ai donc rechercher sur google et sourceforge un projet du nom de microkde et j'ai trouvé quelque chose mais cela ne semblait pas être un site officiel.
    Wikipedia semble ne rien donner à propos de microkde alors est-ce que quelqu'un sait ce que c'est et ou télécharger la dernière version ?


    Merci pour votre aide

    Salutations
    Fichiers attachés Fichiers attachés
    Battant

  2. #2
    Membre éprouvé Avatar de saad.hessane
    Homme Profil pro Saâd Hessane
    Ingénieur développement logiciels
    Inscrit en
    avril 2008
    Messages
    315
    Détails du profil
    Informations personnelles :
    Nom : Homme Saâd Hessane
    Âge : 26
    Localisation : France, Paris (Île de France)

    Informations professionnelles :
    Activité : Ingénieur développement logiciels
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : avril 2008
    Messages : 315
    Points : 467
    Points
    467

    Par défaut

    Bonjour,

    Vous essayez de compiler un projet Qt3 en Qt4 (utilisation de la classe QCString).
    En jetant un rapide coup d'œil à la documentation du projet j'ai pu apercevoir cela :
    Citation Envoyé par ReleaseNotes.txt
    [...]This additional package contains
    the Qt3 library qt-mt334.dll and[...]

  3. #3
    Membre à l'essai
    Inscrit en
    février 2006
    Messages
    301
    Détails du profil
    Informations forums :
    Inscription : février 2006
    Messages : 301
    Points : 21
    Points
    21

    Par défaut un package pas à jour.

    Bonjour,

    J'ai regardé à nouveau le lien cité dans le premier message. Je vous invite aussi à le regarder. j'ai été surpris et déçu de constater que, d'une part ce package semple dater de l'époque de qt3 (2008), et d'autee part, lorsque je me suis inscrit à la mailing list, aucun message en provenance de celle-ci ne m'est parvenu.

    Est-ce quelqu'un aurait le courrage de mettre à jour le projet ?

    En attendant, je pense qu'il faut que j'installe la vraie version de kde pour avoir le package kde pim sur mac os et windows.

    Salutations
    Battant

Liens sociaux

Règles de messages

  • Vous ne pouvez pas créer de nouvelles discussions
  • Vous ne pouvez pas envoyer des réponses
  • Vous ne pouvez pas envoyer des pièces jointes
  • Vous ne pouvez pas modifier vos messages
  •